import request from '@/utils/request'

// 查询辅助帐凭证列表
export function listAuxiliaryvoucher(query) {
  return request({
    url: '/buyer/auxiliaryvoucher/list',
    method: 'get',
    params: query
  })
}

// 查询辅助帐凭证详细
export function getAuxiliaryvoucher(id) {
  return request({
    url: '/buyer/auxiliaryvoucher/' + id,
    method: 'get'
  })
}

// 新增辅助帐凭证
export function addAuxiliaryvoucher(data) {
  return request({
    url: '/buyer/auxiliaryvoucher',
    method: 'post',
    data: data
  })
}

// 修改辅助帐凭证
export function updateAuxiliaryvoucher(data) {
  return request({
    url: '/buyer/auxiliaryvoucher',
    method: 'put',
    data: data
  })
}

// 修改辅助帐凭证
export function updateFileInfos(data) {
  return request({
    url: '/buyer/auxiliaryvoucher/updateFileInfos',
    method: 'post',
    data: data
  })
}

// 删除辅助帐凭证
export function delAuxiliaryvoucher(id) {
  return request({
    url: '/buyer/auxiliaryvoucher/' + id,
    method: 'delete'
  })
}
